#========================================================================
#========================================================================
%define name 	ldas-tools-cmake
%define version 1.2.1
%define release 1
%define summary This is a collection of CMake functions specific to the LDAS Tools Suite
%if %{?cmake3:1}%{!?cmake3:0}
%define cmake cmake3
%define ctest ctest3
%endif

#========================================================================
# Main spec file
#========================================================================
Name: 		%{name}
Summary: 	%{summary}
Version: 	%{version}
Release: 	%{release}%{?dist}
License: 	GPLv2+
Group: 		LSC Software/Data Analysis
Source: 	%{name}-%{version}.tar.gz
Packager: Edward Maros (ed.maroso@ligo.org)
URL: 		  "https://wiki.ligo.org/Computing/LDASTools"
BuildArch:      noarch
BuildRoot:      %{buildroot}
%if 0%{?rhl} <= 7 || 0%{?sl7} <= 7 || 0%{?fedora} < 26
BuildRequires:  cmake3 >= 3.6
BuildRequires:  cmake
%else
BuildRequires:  cmake >= 3.6
%endif
BuildRequires:  rpm-build
BuildRequires:  python3-rpm-macros
BuildRequires:  make
BuildRequires:	pkgconfig
BuildRequires:  igwn-cmake >= 1.2.1
Requires:       igwn-cmake >= 1.2.1
Provides: 	    %{name}
Prefix:		      %_prefix

%description
This collection of cmake macros was developed as part of
the LDAS Tools Suite to have consitency across all of the packages

#------------------------------------------------------------------------
# Get onto the fun of building the NDS software
#------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DCMAKE_INSTALL_PREFIX=%{_prefix} \
    -DCMAKE_INSTALL_LIBDIR=%{_libdir} \
    -Wno-dev \
    .

%install
make DESTDIR=%{buildroot} install

%check
%ctest -V %{?_smp_mflags}


#----------------------------------------------
# Do the noarch files
#----------------------------------------------

%files
%_datadir/

%changelog
* Thu Jun 11 2020 Edward Maros <ed.maros@ligo.org> - 1.2.1-1
- Minor cleanup of RPM packaging rules

* Thu May 28 2020 Edward Maros <ed.maros@ligo.org> - 1.2.0-1
- Most of this has shifted to the igwn-cmake project

* Wed Oct 23 2019 Edward Maros <ed.maros@ligo.org> - 1.1.1-1
- Built for new release

